<?PHP

// The only part to customize
$locale_index = array (
  "en" => "en/homepage_01_index.html",
  "en-US" => "en/homepage_01_index.html",
  "en-GB" => "en/homepage_01_index.html",
  "error" => "en/homepage_01_index.html"
);


// send a redirect to the specified page
function do_redirect ( $url ) {
  Header ( "Location: $url" );
  echo "<HTML><HEAD><TITLE>Redirect</TITLE></HEAD><BODY>" .
    "Please go <A HREF=\"" . $url . "\">here</A>.</BODY></HTML>.\n";
  exit;
}


function get_locale () {
  global $HTTP_ACCEPT_LANGUAGE, $locale_index;
  $ret = "";
  if ( strlen ( $HTTP_ACCEPT_LANGUAGE ) == 0 )
    return $locale_index["error"];
  $langs = explode ( ",", $HTTP_ACCEPT_LANGUAGE );
  for ( $i = 0; $i < count ( $langs ); $i++ ) {
    $l = trim ( $langs[$i] );
    $ret .= "\"$l\" ";
    if ( isset ( $locale_index[$l] ) ) {
      return $locale_index[$l];
    }
  }
  return $locale_index["error"];
}

do_redirect(get_locale());


?>
